#
# spec file for package python-wolframalpha
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with test
Name:           python-wolframalpha
Version:        3.0
Release:        lp151.1.1
License:        MIT
Summary:        WolframAlpha 2.0 API client
Url:            https://github.com/jaraco/wolframalpha
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/w/wolframalpha/wolframalpha-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/antlarr/wolframalpha/945be5a298e36d1b041d9e8a3d80cadbc323f92b/LICENSE
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools_scm >= 1.9}
%if %{with test}
BuildRequires:  %{python_module jaraco.itertools >= 2.0}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module xmltodict}
%endif
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module pmxbot}
BuildRequires:  %{python_module pytest >= 2.8}
%endif
# /SECTION
BuildRequires:  fdupes
Requires:       python-jaraco.itertools >= 2.0
Requires:       python-six
Requires:       python-xmltodict
BuildArch:      noarch

%python_subpackages

%description
Python Client built against the Wolfram|Alpha (http://wolframalpha.com)
v2.0 API.

%prep
%setup -q -n wolframalpha-%{version}
cp %{S:99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 alarrosa@suse.com
- Add LICENSE file. The pypi page states that this is released under
  a MIT license but the code doesn't include a copy. I submitted a
  pull request to the code and use that for now.
* Tue Sep  5 2017 alarrosa@suse.com
- Initial release of python-wolframalpha 3.0
